Subject: Re: [PATCH 11/21] e1000: disable CRC stripping workaround

From: Auke Kok <[email-masked]>
Date: Thu, 22 Jun 2006 08:36:45 -0700

Ben Greear wrote:
> Kok, Auke wrote:
>> CRC stripping is breaking SMBUS-connected BMC's. We disable this
>> feature to make it work. This fixes related bugs regarding SOL.
> 
> Shouldn't you also have to subtract 4 bytes when setting the skb len
> in the receive logic?  Perhaps when setting the rx-bytes counter as well?

the hardware corrects for the size properly when we disable CRC stripping. The 
end result is the same.

Cheers,

Auke